Subject: bug#57749: [patch] maven: fix build with java-slf4j-simple-source expanded

From: Julien Lepiller <[email-masked]>
Date: Mon, 12 Sep 2022 16:13:35 +0200

I don't think checking for file-exists before mkdir-p makes much sense. Doesn't mkdir-p make the same checks already?

I thought find-files required two arguments? Also the first argument could be simplified to input-folder

Otherwise LGTM, but I can't push myself currently. Thanks!

Le 12 septembre 2022 14:33:04 GMT+02:00, "Dr. Arne Babenhauserheide" <[email-masked]> a écrit :
>Hi,
>
>Maven failed to build for me, because java-slf4j-simple-source is no
>longer a tarball, but an expanded directory of files.
>
>Copying the files from Scheme makes it build. A patch is attached.
>
>